Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_ObserverStrategy Class Reference

The strategy to handle observers for the Event Channel subscriptions and publication. More...

`#include <EC_ObserverStrategy.h>`

Inheritance diagram for TAO_EC_ObserverStrategy:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_EC_ObserverStrategy (void)
| Destructor. More...
virtual RtecEventChannelAdmin::Observer_Handle | append_observer (RtecEventChannelAdmin::Observer_ptr ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException, RtecEventChannelAdmin::EventChannel::SYNCHRONIZATION_ERROR, RtecEventChannelAdmin::EventChannel::CANT_APPEND_OBSERVER)
| The basic methods to support the EC strategies. More...
virtual void | remove_observer (RtecEventChannelAdmin::Observer_Handle ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException, RtecEventChannelAdmin::EventChannel::SYNCHRONIZATION_ERROR, RtecEventChannelAdmin::EventChannel::CANT_REMOVE_OBSERVER)
virtual void | connected (TAO_EC_ProxyPushConsumer *ACE_ENV_ARG_DECL_NOT_USED)=0
| Used by the EC to inform the ObserverStrategy that a Consumer has connected or disconnected from it. More...
virtual void | disconnected (TAO_EC_ProxyPushConsumer *ACE_ENV_ARG_DECL_NOT_USED)=0
virtual void | connected (TAO_EC_ProxyPushSupplier *ACE_ENV_ARG_DECL_NOT_USED)=0
| Used by the EC to inform the ObserverStrategy that a Consumer has connected or disconnected from it. More...
virtual void | disconnected (TAO_EC_ProxyPushSupplier *ACE_ENV_ARG_DECL_NOT_USED)=0

## Detailed Description

The strategy to handle observers for the Event Channel subscriptions and publication.

The Event Channel supports Observers for the set of subscriptions and publications. This is used to implement federations of event channels, either through UDP (multicast and unicast) and/or regular CORBA calls. This behavior of the EC is strategized to avoid overhead when no gateways are needed.

## Constructor & Destructor Documentation

TAO_EC_ObserverStrategy::~TAO_EC_ObserverStrategy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual RtecEventChannelAdmin::Observer_Handle TAO_EC_ObserverStrategy::append_observer | ( | RtecEventChannelAdmin::Observer_ptr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, RtecEventChannelAdmin::EventChannel::SYNCHRONIZATION_ERROR, RtecEventChannelAdmin::EventChannel::CANT_APPEND_OBSERVER)`[pure virtual]`

| The basic methods to support the EC strategies. Reimplemented in TAO_EC_Null_ObserverStrategy, and TAO_EC_Basic_ObserverStrategy.

virtual void TAO_EC_ObserverStrategy::connected | ( | TAO_EC_ProxyPushSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[pure virtual]`

| Used by the EC to inform the ObserverStrategy that a Consumer has connected or disconnected from it. Reimplemented in TAO_EC_Null_ObserverStrategy, and TAO_EC_Basic_ObserverStrategy.

virtual void TAO_EC_ObserverStrategy::connected | ( | TAO_EC_ProxyPushConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[pure virtual]`

| Used by the EC to inform the ObserverStrategy that a Consumer has connected or disconnected from it. Reimplemented in TAO_EC_Null_ObserverStrategy, and TAO_EC_Basic_ObserverStrategy.

virtual void TAO_EC_ObserverStrategy::disconnected | ( | TAO_EC_ProxyPushSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[pure virtual]`

| Reimplemented in TAO_EC_Null_ObserverStrategy, and TAO_EC_Basic_ObserverStrategy.

virtual void TAO_EC_ObserverStrategy::disconnected | ( | TAO_EC_ProxyPushConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[pure virtual]`

| Reimplemented in TAO_EC_Null_ObserverStrategy, and TAO_EC_Basic_ObserverStrategy.

virtual void TAO_EC_ObserverStrategy::remove_observer | ( | RtecEventChannelAdmin::Observer_Handle | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, RtecEventChannelAdmin::EventChannel::SYNCHRONIZATION_ERROR, RtecEventChannelAdmin::EventChannel::CANT_REMOVE_OBSERVER)`[pure virtual]`

| Reimplemented in TAO_EC_Null_ObserverStrategy, and TAO_EC_Basic_ObserverStrategy.

The documentation for this class was generated from the following files:

- EC_ObserverStrategy.h
- EC_ObserverStrategy.cpp